<defaultCollapsible [title]="ASSIGNMENT_TITLE"
                    [isCollapsed]="isCollapsed" (collapseChange)="changeCollapse($event)">
  <!-- =========================================================================================================== -->
  <!--                            Assignment Part: Type, Title, Points, Description                                -->
  <!-- =========================================================================================================== -->
  <div *ngIf="taskTypes" fxLayout="column">
    <div fxLayout="row" fxFlexOffset="1">
      <raamDropDown title="Type" fxFlex="20"
                    [value]="taskType" [displayContent]="TASK_TYPES_DISPLAY_CONTENT"
                    [list]="taskTypes" (change)="setTaskType($event)"></raamDropDown>

      <raamInput title="Title" fxFlex fxFlexOffset="1"
                 [value]="title" (valueChange)="setTitle($event)"></raamInput>

      <raamInput title="Points" fxFlex="12" fxFlexOffset="1"
                 [value]="estimatedPoints" (valueChange)="setEstimatedPoints($event)"></raamInput>

    </div>
    <div fxLayout="row" fxLayoutAlign="space-between" fxFlexOffset="1">
      <scrumCard [value]="1" [size]="SCRUM_CARD_SIZE" (output)="setEstimatedPoints($event)"></scrumCard>
      <scrumCard [value]="2" [size]="SCRUM_CARD_SIZE" (output)="setEstimatedPoints($event)"></scrumCard>
      <scrumCard [value]="3" [size]="SCRUM_CARD_SIZE" (output)="setEstimatedPoints($event)"></scrumCard>
      <scrumCard [value]="5" [size]="SCRUM_CARD_SIZE" (output)="setEstimatedPoints($event)"></scrumCard>
      <scrumCard [value]="8" [size]="SCRUM_CARD_SIZE" (output)="setEstimatedPoints($event)"></scrumCard>
      <scrumCard [value]="13" [size]="SCRUM_CARD_SIZE" (output)="setEstimatedPoints($event)"></scrumCard>
      <scrumCard [value]="21" [size]="SCRUM_CARD_SIZE" (output)="setEstimatedPoints($event)"></scrumCard>
      <scrumCard [value]="40" [size]="SCRUM_CARD_SIZE" (output)="setEstimatedPoints($event)"></scrumCard>
      <scrumCard [value]="100" [size]="SCRUM_CARD_SIZE" (output)="setEstimatedPoints($event)"></scrumCard>
    </div>

    <raamInput title="Description" [areaText]="true"
               [value]="description" (valueChange)="setDescription($event)"></raamInput>
  </div>
</defaultCollapsible>
